Package org.eclipse.emf.cdo.common.protocol

# Enum Class CDOProtocolConstants.UnitOpcode

java.lang.Object
java.lang.Enum<CDOProtocolConstants.UnitOpcode>
org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants.UnitOpcode

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOProtocolConstants.UnitOpcode>`, `Constable`

Enclosing interface:
  CDOProtocolConstants

public static enum CDOProtocolConstants.UnitOpcode extends Enum<CDOProtocolConstants.UnitOpcode>
Enumerates the possible opcodes for `unit requests`.

Since:
  4.5
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHECK`
`CLOSE`
`CREATE`
`CREATE_AND_OPEN`
`OPEN`
`OPEN_DEMAND_CREATE`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canPrefetchLockStates()`
`boolean`
`isCreate()`
`boolean`
`isOpen()`
`static CDOProtocolConstants.UnitOpcode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOProtocolConstants.UnitOpcode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CHECK

public static final CDOProtocolConstants.UnitOpcode CHECK

### CREATE

public static final CDOProtocolConstants.UnitOpcode CREATE

### CREATE_AND_OPEN

public static final CDOProtocolConstants.UnitOpcode CREATE_AND_OPEN

### OPEN

public static final CDOProtocolConstants.UnitOpcode OPEN

### OPEN_DEMAND_CREATE

public static final CDOProtocolConstants.UnitOpcode OPEN_DEMAND_CREATE

### CLOSE

public static final CDOProtocolConstants.UnitOpcode CLOSE

## Method Details

### values

public static CDOProtocolConstants.UnitOpcode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOProtocolConstants.UnitOpcode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isCreate

public boolean isCreate()

### isOpen

public boolean isOpen()

### canPrefetchLockStates

public boolean canPrefetchLockStates()

Since:
  4.22